Subject: Re: bug#21909: Segfault with eigen in R

From: Kyle Meyer <[email-masked]>
Date: Thu, 19 Nov 2015 19:05:07 -0500

[email-masked] (Ludovic Courtès) writes:

> I can reproduce the bug with:
>
>    guix environment --pure --ad-hoc r -- R

[...]

> Might be useful to report it upstream?

Yes.  In preparing to do so, I figured that I should reproduce the issue
with a build outside of Guix.  However, when I tried with a manual build
on an Arch Linux system, the snippet ran fine.  This was with gcc
version 5.2.0, so I switched the gfortran input of openblas over to
gfortran-5, which seems to fix the issue.

While the issue should still be reported upstream, would it be OK to
update the gfortran input to gfortran-5?

--
Kyle